#/usr/bin/sh

FILTER=0
while getopts "c:f" flag; do
    case "$flag" in
        c) SIGNAL_DIR=$OPTARG;;
        f) FILTER=1;
    esac
done

if [ -z ${SIGNAL_DIR+x} ]; then
    echo -e "a signal configuration directory is required. for example:\n"
    echo -e "  $ run.sh -c ~/.config/Signal/\n"
    exit 1
fi

docker build . -t sigint
if [ $FILTER -eq 1 ]; then
    docker run -it -v $SIGNAL_DIR:/root/.config/Signal -v ./output:/output sigint -f config/chat_list.txt
else
    docker run -it -v $SIGNAL_DIR:/root/.config/Signal -v ./output:/output sigint
fi
